{
    "attributes": {
        "_author": {
            "isGenerated": false,
            "key": "_author",
            "origin": "005d34eb-77e7-4904-9c9c-56a715ecef95",
            "type": "STRING",
            "value": "filatov"
        },
        "_description": {
            "isGenerated": false,
            "key": "_description",
            "origin": "6f16e5f0-e514-4b57-b249-4f46e70e6669",
            "type": "STRING",
            "value": "Check that IUT discards the Secured CAM containing the header field 'encryption_parameter' and 'recipient_info'"
        },
        "_expectedResults": {
            "isGenerated": false,
            "key": "_expectedResults",
            "origin": "6f16e5f0-e514-4b57-b249-4f46e70e6669",
            "type": "STRING",
            "value": "with\r\n\tthe IUT being in the 'authorized' state with CERT_IUT_A_AT\r\n\tand the IUT current time is inside the time validity period of CERT_TS_A_AT\r\nensure that\r\n\twhen\r\n\t\tthe IUT is receiving a SecuredMessage (MSG_SEC_RCV_CAM_01)\r\n\t\t\tcontaining header_fields[0].type\r\n\t\t\t\tindicating 'signer_info'\r\n\t\t\tand containing header_fields[1].type\r\n\t\t\t\tindicating 'generation_time'\r\n\t\t\tand containing header_fields[2].type\r\n\t\t\t\tindicating 'its_aid'\r\n\t\t\tand containing header_fields[3]\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'encryption_parameters'\r\n\t\t\t\tand containing enc_params\r\n\t\t\t\t\tcontaining symm_algorithm\r\n\t\t\t\t\t\tindicating 'aes_128_ccm'\r\n\t\t\t\t\tand containing nonce\r\n\t\t\tand containing header_fields[4]\r\n\t\t\t\tcontaining type\r\n\t\t\t\t\tindicating 'recipient_info'\r\n\t\t\t\tand containing recipients\r\n\t\t\t\t\tcontaining recipients[0]\r\n\t\t\t\t\t\tcontaining cert_id\r\n\t\t\t\t\t\t\treferencing to CERT_IUT_A_AT\r\n\t\t\t\t\t\tand containing pk_encryption\r\n\t\t\t\t\t\t\tindicating 'ecies_nistp256'\r\n\t\t\t\t\t\tand containing enc_key\r\n\t\t\tand not containing other header fields\r\n\tthen\r\n\t\tthe IUT discards the SecuredMessage"
        },
        "_status": {
            "isGenerated": false,
            "key": "_status",
            "origin": "005d34eb-77e7-4904-9c9c-56a715ecef95",
            "type": "STRING",
            "value": "in process"
        },
        "_type": {
            "isGenerated": false,
            "key": "_type",
            "origin": "005d34eb-77e7-4904-9c9c-56a715ecef95",
            "type": "STRING",
            "value": "TestPurpose"
        }
    },
    "uuid": "6f16e5f0-e514-4b57-b249-4f46e70e6669"
}